const config = require('@bem/sdk.config');
const mockfs = require('mock-fs');
const { stripIndent } = require('common-tags');
const bemConfig = config({fsRoot: '/app', cwd: 'src/configs'});

mockfs({
     'src': {
        'configs': {
         '.bemrc': stripIndent`
            module.exports = {
                root: true,
                levels: {
                    'common.blocks': {},
                    'desktop.blocks': {}
                },
                modules: { 
                    'bem-tools': { 
                        'plugins': {}
                    }
                }
            }`
        }
    }
});

const conf = await bemConfig.get();
conf;;
